Get cart (multi-service) next slot
Method POST
https://my.easyweek.io/api/public/v2/locations/{location_uuid}/time-slots/cart/next
Description: This endpoint returns the nearest available date for a multi-service ("cart") booking at a location. Like the cart calendar, the services ride in a services[] array, so it is a POST with a JSON body.
Example Request
curl -i -X POST \
https://my.easyweek.io/api/public/v2/locations/{location_uuid}/time-slots/cart/next \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'
Request body
{
"timezone": "Europe/Berlin",
"services": [
{ "service_uuid": "43537759-435b-4871-bf11-e3ace6a4464b", "staffer_uuid": "eac5a506-69c0-40c4-8758-85c501d26bcb" },
{ "service_uuid": "6b9c2d1e-3f4a-4b5c-8d9e-0a1b2c3d4e5f" }
]
}
Path Parameters
- location_uuid (string, required): The UUID of the location to search.
Body Parameters
- services (array, required): 1–10 services, in order. Each item is
{ service_uuid, staffer_uuid? }. A service withoutstaffer_uuidis auto-allocated. - timezone (string, optional): The timezone to render slot times in.
Example Response
{
"data": [
{
"timezone": "Europe/Berlin",
"currency": "EUR",
"dates": [
{
"date": "2026-08-15",
"slot": {
"start": "09:00",
"end": "10:00",
"start_formatted": 32400,
"end_formatted": 36000,
"price": 12000,
"price_formatted": "€120.00",
"staffers": [
{ "uuid": "eac5a506-69c0-40c4-8758-85c501d26bcb" }
]
}
}
]
}
]
}